﻿Type=Class
Version=2.52
@EndOfDesignText@
'Class module
Sub Class_Globals
Private px,py As Int
Private pName As String
Private pParent As Activity
Private mPanel As Panel
Private b As Button
Private pBitmap As Bitmap

'Custom properties
Private pLabel,pValue As Label
Private pImage As ImageView

Private xx As Float


End Sub



'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize (ax As Int ,ay As Int, aName As String, aParent As Activity)
 px = ax
 py = ay
 pName = aName
 pParent = aParent

 'Main.GPX
 
' Reflector 

 
 
 pLabel.Initialize("")
 pLabel.Text =  "km/h" 
 pLabel.Gravity = Gravity.CENTER_VERTICAL 
 pLabel.TextSize = 18dip
 'pName
 pValue.Initialize("")
 pValue.Text = "00.00"
 pValue.TextSize = 32dip
 pValue.Gravity = Gravity.CENTER_VERTICAL 


pImage.Initialize("")
setImage("pDateTime.png")





'*********DRAW PANEL MENBERS
setContext("Date","Time")
 mPanel.Initialize("p" & pName)
 mPanel.Color = Colors.DarkGray
 mPanel.AddView(pImage,0%x, 0%y, 50dip, 50dip)
 'mPanel.
 
 '*********DRAW Panel
 
 mPanel.AddView(pLabel,Main.px *3 /4* 2, 0%y, 50dip, 50dip)
 mPanel.AddView(pValue,Main.px *1 /4 *2 , 0%y, 30%x, 50dip)
' mPanel.CornerRadius = 5
 

 b.Initialize(pName)
	b.Text = pName
'	 pParent.AddView(b, 0%x, 0%y, Main.px, Main.py)
	 pParent.AddView(mPanel, (px-1) * Main.px, (py-1) * 80%y,  Main.px * 2, 50dip)
	 
 
End Sub

Sub setContext(  aValue As String,aLabel As String)
Dim now As Long
Dim mins As String
now = DateTime.now

mins = DateTime.GetMinute(now)
If  mins.Length < 2 Then mins = "0" & mins 



pValue.Text = DateTime.GetDayOfMonth(now) & "." & DateTime.GetDayOfMonth(now) & "." & DateTime.GetYear(now)

pLabel.Text = DateTime.GetHour(now)  & ":" & mins


End Sub

Sub setImage(aPicture As String)
Try 
pImage.Bitmap = LoadBitmapSample(File.DirAssets, aPicture,50dip,50dip) 
Catch pImage.Bitmap = LoadBitmapSample(File.DirAssets, "default.png",50dip,50dip)
End Try 
End Sub
